com.ihr.xbrl.om

## Class SimpleMatchURIResolver

- java.lang.Object
- - com.ihr.xbrl.om.SimpleMatchURIResolver

- All Implemented Interfaces:
    javax.xml.transform.URIResolver

      public class SimpleMatchURIResolver
      extends java.lang.Object
      implements javax.xml.transform.URIResolver

  Resolves URIs according to a local map. If the required file starts with a string that part of the string is substituted by the path indicated

  This simple class serves the purpose of resolving URIs that will be validated and/or stored into the XBRL repository.

  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleMatchURIResolver(java.lang.String startString, java.lang.String replaceString, javax.xml.transform.URIResolver nextResolver)` Instantiates a new simple match uri resolver.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.transform.Source` | `resolve(java.lang.String href, java.lang.String base)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleMatchURIResolver

          public SimpleMatchURIResolver(java.lang.String startString,
                                java.lang.String replaceString,
                                javax.xml.transform.URIResolver nextResolver)

      Instantiates a new simple match uri resolver.
      Parameters:
        `startString` - the start string
        `replaceString` - the replace string
        `nextResolver` - the next resolver

  - ### Method Detail

    - #### resolve

          public javax.xml.transform.Source resolve(java.lang.String href,
                                           java.lang.String base)
                                             throws javax.xml.transform.TransformerException

      Specified by:
        `resolve` in interface `javax.xml.transform.URIResolver`
      Throws:
        `javax.xml.transform.TransformerException`